VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Properties
VisiMath.Matrix3 Struct Reference

Matrix 3x3 used for rotation in 3D or for 2D homogenous transformations. More...

List of all members.

## Public Member Functions
| Matrix3 (float f00, float f01, float f02, float f10, float f11, float f12, float f20, float f21, float f22)
| Constructs matrix from the float values.
| Matrix3 (float val)
| Constructs matrix with all fields set to specified value.
| Matrix3 (float[] data)
| Copies content of the float[] to matrix.
| Matrix3 (Quaternion rot)
| Construct rotation matrix from the rotation quaternion.
| Matrix3 (Vector3 row0, Vector3 row1, Vector3 row2)
| Construct matrix from for rows of vector4.
void | Assign (float f00, float f01, float f02, float f10, float f11, float f12, float f20, float f21, float f22)
| assigns values to matrix
void | SetToDiagonal (float f00, float f11, float f22)
| Set matrix to diagonal.
void | SetToIdentity ()
| Sets matrix to identity.
void | SetInertialTensor (float ix, float iy, float iz, float ixy=0, float ixz=0, float iyz=0)
| Sets matrix to inertial tensor.
void | Transpose ()
| Transposes matrix.
void | Invert ()
| Inverts matrix.
void | Add (ref Matrix3 other)
| Adds another matrix to this one.
void | Substract (ref Matrix3 other)
| Substracts another matrix from this one.
void | Multiply (float scale)
| Scalar multiplication.
void | MultiplyBy (ref Matrix3 other)
| Multiplies this matrix by another (this = this*other)
Matrix3 | Multiply (ref Matrix3 other)
| Multiplies this matrix by another and returns this*other)
Vector3 | Multiply (ref Vector3 vec)
| Multiplies vector by the matrix and returns result.
Vector4 | Multiply (ref Vector4 vec)
| Multiplies vector by the matrix and returns result.
void | Transform (ref Vector3 vec)
| Transforms specified vector by the matrix.
void | TransformTranspose (ref Vector3 vec)
| Transforms specified vector by the transposed matrix.
void | Transform (ref Vector4 vec)
| Transforms specified vector by the matrix.
void | Transform (ref Vector2 vector2)
| Transforms specified vector by the matrix.
void | Deconstruct (out float uniformscale, out Vector3 scale, out Quaternion q)
| Deconstructs rotation/scaling matrix to scale and rotation NOTE: if scale is uniform, uniformscale will be set to it, otherwise it will be set to zero.
float | GetUniformScale ()
| Tries to extract uniform scale from the matrix.
void | GetScale (out float uniform, out Vector3 scale)
| Tries to extract scale from the matrix. If scale is not uniform, uniform parameter will be zero.
override int | GetHashCode ()
override string | ToString ()
override bool | Equals (object obj)
bool | Equals (Matrix3 other)
## Static Public Member Functions
static Matrix3 | Transpose (ref Matrix3 mat)
| Returns transposed matrix.
static Matrix3 | Invert (ref Matrix3 matrix3)
| Calculates Inverse of the matrix.
static Matrix3 | Multiply (ref Matrix3 left, ref Matrix3 right)
| Multiplies two matrices and returns result.
static Matrix3 | TransposeMultiply (ref Matrix3 left, ref Matrix3 right)
| Returns transposed left * right.
static Matrix3 | CreateScale (float scale)
| Creates uniform scale matrix.
static Matrix3 | CreateScale (ref Vector3 scale)
| Creates non-uniform scale transformation.
static Matrix3 | CreateScale (float x, float y, float z)
| Creates non-uniform scale transformation.
static Matrix3 | CreateRotationNormal (Vector3 normal, Vector3 newnormal)
| Creates rotational matrix based on original and new normal vector)
static Matrix3 | CreateRotationAxisAngle (Vector3 axis, float angle)
| Creates rotation transformation from axis and angle.
static Matrix3 | CreateRotationX (float angle)
| Creates rotation transformation around the x axis.
static Matrix3 | CreateRotationY (float angle)
| Creates rotation transformation around the y axis.
static Matrix3 | CreateRotationZ (float angle)
| Creates rotation transformation around the z axis.
static Matrix3 | CreateRotationRPY (ref Vector3 rpy)
| Creates rotation transformation from the roll pitch yaw angles.
static Matrix3 | CreateRotationRPY (float roll, float pitch, float yaw)
| Creates rotation transformation from the pitch yaw roll angles.
static Matrix3 | CreateRotation (Quaternion q)
| Create rotattional matrix from quaternion.
static Matrix3 | CreateSkewSymetric (ref Vector3 pos)
| Creates skew symetric matrix from associated vector (inifinitesimal rotation)
static Matrix3 | Create2DScale (float scale)
| Creates 2D scale transformation.
static Matrix3 | Create2DScale (float scalex, float scaley)
| Creates 2D scale transformation.
static Matrix3 | Create2DScale (ref Vector2 scale)
| Creates 2D scale transformation.
static Matrix3 | Create2DRotation (float angle)
| Creates 2d rotation transformation.
static Matrix3 | Create2DRotation (ref Matrix2 rotm)
| Creates 2d rotation transformation.
static Matrix3 | Create2DTranslation (ref Vector2 trans)
| Creates 2d translation transformation.
static Matrix3 | Create2DTransformation (float scale, float angle)
| Creates new 2d transfomation matrix.
static Matrix3 | Create2DTransformation (ref Vector2 scale, float angle)
| Creates new 2d transfomation matrix.
static Matrix3 | Create2DTransformation (float angle, ref Vector2 trans)
| Creates new 2d transfomation matrix.
static Matrix3 | Create2DTransformation (ref Vector2 scale, float angle, ref Vector2 trans)
| Creates new 2d transfomation matrix.
static Matrix3 | Create2DTransformation (ref Matrix2 rotm, ref Vector2 trans)
| Creates new 2d transfomation matrix.
static Matrix3 | CreateInertiaCuboid (float sizex, float sizey, float sizez, float mass)
| Creates inertia tensor for 3d axis aligned box with uniform mass distribution.
static Matrix3 | CreateInertiaCuboid (Vector3 size, float mass)
| Creates inertia tensor for 3d axis aligned box with uniform mass distribution.
static Matrix3 | CreateInertiaSphere (float radius, float mass)
| Creates inertia tensor for sphere with uniform density.
static Matrix3 | CreateInertiaSphereShell (float radius, float mass)
| Creates inertia tensor for sphere shell - all mass is on the surface.
static Matrix3 | operator* (Matrix3 left, Matrix3 right)
| Matrix multiplication.
static Matrix3 | operator* (Matrix3 left, float right)
| Scalar multiplication.
static Matrix3 | operator* (float left, Matrix3 right)
| Scalar multiplication.
static Matrix3 | operator- (Matrix3 left, Matrix3 right)
| Substraction of two matrices.
static Matrix3 | operator+ (Matrix3 left, Matrix3 right)
| Addition of two matrices.
static Vector4 | operator* (Matrix3 left, Vector4 right)
| Multiplication of vector by matrix.
static Vector3 | operator* (Matrix3 left, Vector3 right)
| Multiplication of vector by matrix.
static bool | operator== (Matrix3 left, Matrix3 right)
| Compares two instances.
static bool | operator!= (Matrix3 left, Matrix3 right)
| Compares two instances.
## Public Attributes
float | m00
| Matrix fields.
float | m10
float | m20
float | m01
float | m11
float | m21
float | m02
float | m12
float | m22
## Static Public Attributes
static Matrix3 | Identitity = new Matrix3(1, 0, 0, 0, 1, 0, 0, 0, 1)
## Properties
Vector3 | Row0`[get, set]`
Vector3 | Row1`[get, set]`
Vector3 | Row2`[get, set]`
Vector3 | Column0`[get, set]`
Vector3 | Column1`[get, set]`
Vector3 | Column2`[get, set]`
float | this[int index1, int index2]`[get, set]`
| Index acessor, maps internal fields to [index1, index2].
float | this[int index]`[get, set]`
float | Determinant`[get]`
| Determinant of the matrix.

## Detailed Description

Matrix 3x3 used for rotation in 3D or for 2D homogenous transformations.

## Constructor & Destructor Documentation

VisiMath.Matrix3.Matrix3 | ( | float | f00,
|  | float | f01,
|  | float | f02,
|  | float | f10,
|  | float | f11,
|  | float | f12,
|  | float | f20,
|  | float | f21,
|  | float | f22
| ) |  |

Constructs matrix from the float values.

VisiMath.Matrix3.Matrix3 | ( | float | val | ) |

Constructs matrix with all fields set to specified value.

Parameters:

  val | Value to set all fields to

VisiMath.Matrix3.Matrix3 | ( | float[] | data | ) |

Copies content of the float[] to matrix.

Parameters:

  data | Initial values

VisiMath.Matrix3.Matrix3 | ( | Quaternion | rot | ) |

Construct rotation matrix from the rotation quaternion.

Parameters:

  rot | Rotation quaternion

VisiMath.Matrix3.Matrix3 | ( | Vector3 | row0,
|  | Vector3 | row1,
|  | Vector3 | row2
| ) |  |

Construct matrix from for rows of vector4.

## Member Function Documentation

void VisiMath.Matrix3.Add | ( | ref Matrix3 | other | ) |

Adds another matrix to this one.

Parameters:

  other | right operand

void VisiMath.Matrix3.Assign | ( | float | f00,
|  | float | f01,
|  | float | f02,
|  | float | f10,
|  | float | f11,
|  | float | f12,
|  | float | f20,
|  | float | f21,
|  | float | f22
| ) |  |

assigns values to matrix

static Matrix3 VisiMath.Matrix3.Create2DRotation | ( | float | angle | ) | `[static]`

Creates 2d rotation transformation.

Parameters:

  angle | angle in radians

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DRotation | ( | ref Matrix2 | rotm | ) | `[static]`

Creates 2d rotation transformation.

Parameters:

  rotm | 2x2 rotational matrix

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DScale | ( | float | scalex,
|  | float | scaley
| ) |  | `[static]`

Creates 2D scale transformation.

Parameters:

  scalex | scale factor in x
  scaley | scale factor in y

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DScale | ( | ref Vector2 | scale | ) | `[static]`

Creates 2D scale transformation.

Parameters:

  scale | scale factor vector

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DScale | ( | float | scale | ) | `[static]`

Creates 2D scale transformation.

Parameters:

  scale | scale factor

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTransformation | ( | float | scale,
|  | float | angle
| ) |  | `[static]`

Creates new 2d transfomation matrix.

Parameters:

  scale | scale factor
  angle | rotation angle in radians

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTransformation | ( | ref Vector2 | scale,
|  | float | angle
| ) |  | `[static]`

Creates new 2d transfomation matrix.

Parameters:

  scale | scale factor
  angle | rotation angle in radians

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTransformation | ( | float | angle,
|  | ref Vector2 | trans
| ) |  | `[static]`

Creates new 2d transfomation matrix.

Parameters:

  trans | translation vector
  angle | rotation angle in radians

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTransformation | ( | ref Vector2 | scale,
|  | float | angle,
|  | ref Vector2 | trans
| ) |  | `[static]`

Creates new 2d transfomation matrix.

Parameters:

  scale | scale factor
  trans | translation vector
  angle | rotation angle in radians

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTransformation | ( | ref Matrix2 | rotm,
|  | ref Vector2 | trans
| ) |  | `[static]`

Creates new 2d transfomation matrix.

Parameters:

  rotm | rotational 2x2 matrix
  trans | translation vector

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.Create2DTranslation | ( | ref Vector2 | trans | ) | `[static]`

Creates 2d translation transformation.

Parameters:

  trans | translation vector

Returns:
  New 2d transformation

static Matrix3 VisiMath.Matrix3.CreateInertiaCuboid | ( | float | sizex,
|  | float | sizey,
|  | float | sizez,
|  | float | mass
| ) |  | `[static]`

Creates inertia tensor for 3d axis aligned box with uniform mass distribution.

Parameters:

  sizex | length in X
  sizey | length in Y
  sizez | length in Z
  mass | mass of the object

Returns:
  Inertia tensor

static Matrix3 VisiMath.Matrix3.CreateInertiaCuboid | ( | Vector3 | size,
|  | float | mass
| ) |  | `[static]`

Creates inertia tensor for 3d axis aligned box with uniform mass distribution.

Parameters:

  size | lengths in all 3 axes
  mass | mass of the object

Returns:
  Inertia tensor

static Matrix3 VisiMath.Matrix3.CreateInertiaSphere | ( | float | radius,
|  | float | mass
| ) |  | `[static]`

Creates inertia tensor for sphere with uniform density.

Parameters:

  radius | Sphere radius
  mass | mass of the object

Returns:
  Inertia tensor

static Matrix3 VisiMath.Matrix3.CreateInertiaSphereShell | ( | float | radius,
|  | float | mass
| ) |  | `[static]`

Creates inertia tensor for sphere shell - all mass is on the surface.

Parameters:

  radius | Sphere radius
  mass | mass of the object

Returns:
  Inertia tensor

static Matrix3 VisiMath.Matrix3.CreateRotation | ( | Quaternion | q | ) | `[static]`

Create rotattional matrix from quaternion.

Parameters:

  q | Rotation quaternion

Returns:
  Rotation

static Matrix3 VisiMath.Matrix3.CreateRotationAxisAngle | ( | Vector3 | axis,
|  | float | angle
| ) |  | `[static]`

Creates rotation transformation from axis and angle.

Parameters:

  axis | Rotation axis
  angle | Angle in radians

Returns:
  Rotation transformation

static Matrix3 VisiMath.Matrix3.CreateRotationNormal | ( | Vector3 | normal,
|  | Vector3 | newnormal
| ) |  | `[static]`

Creates rotational matrix based on original and new normal vector)

Parameters:

  normal | Original normal
  newnormal | New normal

Returns:
  Rotational matrix

static Matrix3 VisiMath.Matrix3.CreateRotationRPY | ( | float | roll,
|  | float | pitch,
|  | float | yaw
| ) |  | `[static]`

Creates rotation transformation from the pitch yaw roll angles.

Parameters:

  roll | roll angle
  pitch | pitch angle
  yaw | yaw angle

Returns:
  Rotation matrix

static Matrix3 VisiMath.Matrix3.CreateRotationRPY | ( | ref Vector3 | rpy | ) | `[static]`

Creates rotation transformation from the roll pitch yaw angles.

Parameters:

  rpy | Vector holding roll/pitch/yaw

Returns:
  Rotation matrix

static Matrix3 VisiMath.Matrix3.CreateRotationX | ( | float | angle | ) | `[static]`

Creates rotation transformation around the x axis.

Parameters:

  angle | Angle in radians

Returns:
  Rotation transformation

static Matrix3 VisiMath.Matrix3.CreateRotationY | ( | float | angle | ) | `[static]`

Creates rotation transformation around the y axis.

Parameters:

  angle | Angle in radians

Returns:
  Rotation transformation

static Matrix3 VisiMath.Matrix3.CreateRotationZ | ( | float | angle | ) | `[static]`

Creates rotation transformation around the z axis.

Parameters:

  angle | Angle in radians

Returns:
  Rotation transformation

static Matrix3 VisiMath.Matrix3.CreateScale | ( | float | scale | ) | `[static]`

Creates uniform scale matrix.

Parameters:

  scale | scale value for all coordinates

Returns:
  new scale matrix

static Matrix3 VisiMath.Matrix3.CreateScale | ( | ref Vector3 | scale | ) | `[static]`

Creates non-uniform scale transformation.

Parameters:

  scale | vector with scale for x, y, z

Returns:
  new scale matrix

static Matrix3 VisiMath.Matrix3.CreateScale | ( | float | x,
|  | float | y,
|  | float | z
| ) |  | `[static]`

Creates non-uniform scale transformation.

Parameters:

  x | x scale
  y | y scale
  z | z scale

Returns:
  new scale matrix

static Matrix3 VisiMath.Matrix3.CreateSkewSymetric | ( | ref Vector3 | pos | ) | `[static]`

Creates skew symetric matrix from associated vector (inifinitesimal rotation)

Parameters:

  pos | Vector

Returns:
  Skew symetric rotation

void VisiMath.Matrix3.Deconstruct | ( | out float | uniformscale,
|  | out Vector3 | scale,
|  | out Quaternion | q
| ) |  |

Deconstructs rotation/scaling matrix to scale and rotation NOTE: if scale is uniform, uniformscale will be set to it, otherwise it will be set to zero.

Parameters:

  uniformscale | Will be set to uniform scale if used, othewise to zero
  scale | Will be set with scale vector
  q | will be set with rotation quaternion

bool VisiMath.Matrix3.Equals | ( | Matrix3 | other | ) |

override bool VisiMath.Matrix3.Equals | ( | object | obj | ) |

override int VisiMath.Matrix3.GetHashCode | ( |  | ) |

void VisiMath.Matrix3.GetScale | ( | out float | uniform,
|  | out Vector3 | scale
| ) |  |

Tries to extract scale from the matrix. If scale is not uniform, uniform parameter will be zero.

Parameters:

  uniform | Uniform scale if used otherwise zero
  scale | Scale vector

float VisiMath.Matrix3.GetUniformScale | ( |  | ) |

Tries to extract uniform scale from the matrix.

Returns:
  Uniform scale if present or zero

static Matrix3 VisiMath.Matrix3.Invert | ( | ref Matrix3 | matrix3 | ) | `[static]`

Calculates Inverse of the matrix.

Parameters:

  matrix3 | Matrix to be inverted

Returns:
  Inverted matrix

Exceptions:

  System.ArgumentException | Thrown if matrix is singular

void VisiMath.Matrix3.Invert | ( |  | ) |

Inverts matrix.

void VisiMath.Matrix3.Multiply | ( | float | scale | ) |

Scalar multiplication.

Parameters:

  scale | Scalar operand

Matrix3 VisiMath.Matrix3.Multiply | ( | ref Matrix3 | other | ) |

Multiplies this matrix by another and returns this*other)

Parameters:

  other | right operand

static Matrix3 VisiMath.Matrix3.Multiply | ( | ref Matrix3 | left,
|  | ref Matrix3 | right
| ) |  | `[static]`

Multiplies two matrices and returns result.

Parameters:

  left | left operand
  right | right operand

Returns:
  left*right

Vector3 VisiMath.Matrix3.Multiply | ( | ref Vector3 | vec | ) |

Multiplies vector by the matrix and returns result.

Parameters:

  vec | Vector to be multiplied

Returns:
  Result vector

Vector4 VisiMath.Matrix3.Multiply | ( | ref Vector4 | vec | ) |

Multiplies vector by the matrix and returns result.

Parameters:

  vec | Vector to be multiplied

Returns:
  Result vector

void VisiMath.Matrix3.MultiplyBy | ( | ref Matrix3 | other | ) |

Multiplies this matrix by another (this = this*other)

Parameters:

  other | right operand

static bool VisiMath.Matrix3.operator!= | ( | Matrix3 | left,
|  | Matrix3 | right
| ) |  | `[static]`

Compares two instances.

Parameters:

  left | first operand.
  right | second operand.

Returns:
  True if left != right, otherwise false.

static Matrix3 VisiMath.Matrix3.operator* | ( | float | left,
|  | Matrix3 | right
| ) |  | `[static]`

Scalar multiplication.

Parameters:

  left | scalar
  right | Matrix

Returns:
  Matrix*scalar

static Matrix3 VisiMath.Matrix3.operator* | ( | Matrix3 | left,
|  | float | right
| ) |  | `[static]`

Scalar multiplication.

Parameters:

  left | Matrix
  right | scalar

Returns:
  Matrix*scalar

static Matrix3 VisiMath.Matrix3.operator* | ( | Matrix3 | left,
|  | Matrix3 | right
| ) |  | `[static]`

Matrix multiplication.

Parameters:

  left | left operand
  right | right operand

Returns:
  New Matrix34 with result

static Vector4 VisiMath.Matrix3.operator* | ( | Matrix3 | left,
|  | Vector4 | right
| ) |  | `[static]`

Multiplication of vector by matrix.

Parameters:

  left | Matrix
  right | vector

Returns:
  Transformed vector

static Vector3 VisiMath.Matrix3.operator* | ( | Matrix3 | left,
|  | Vector3 | right
| ) |  | `[static]`

Multiplication of vector by matrix.

Parameters:

  left | Matrix
  right | vector

Returns:
  Transformed vector

static Matrix3 VisiMath.Matrix3.operator+ | ( | Matrix3 | left,
|  | Matrix3 | right
| ) |  | `[static]`

Addition of two matrices.

Parameters:

  left | left operand
  right | right operand

Returns:
  left + right

static Matrix3 VisiMath.Matrix3.operator- | ( | Matrix3 | left,
|  | Matrix3 | right
| ) |  | `[static]`

Substraction of two matrices.

Parameters:

  left | left operand
  right | right operand

Returns:
  left - right

static bool VisiMath.Matrix3.operator== | ( | Matrix3 | left,
|  | Matrix3 | right
| ) |  | `[static]`

Compares two instances.

Parameters:

  left | first operand.
  right | second operand.

Returns:
  True if left == right, otherwise false.

void VisiMath.Matrix3.SetInertialTensor | ( | float | ix,
|  | float | iy,
|  | float | iz,
|  | float | ixy = `0`,
|  | float | ixz = `0`,
|  | float | iyz = `0`
| ) |  |

Sets matrix to inertial tensor.

Parameters:

  ix |
  iy |
  iz |
  ixy |
  ixz |
  iyz |

void VisiMath.Matrix3.SetToDiagonal | ( | float | f00,
|  | float | f11,
|  | float | f22
| ) |  |

Set matrix to diagonal.

Parameters:

  f00 |
  f11 |
  f22 |

void VisiMath.Matrix3.SetToIdentity | ( |  | ) |

Sets matrix to identity.

void VisiMath.Matrix3.Substract | ( | ref Matrix3 | other | ) |

Substracts another matrix from this one.

Parameters:

  other | right operand

override string VisiMath.Matrix3.ToString | ( |  | ) |

void VisiMath.Matrix3.Transform | ( | ref Vector4 | vec | ) |

Transforms specified vector by the matrix.

Parameters:

  vec | Vector to be transformed

void VisiMath.Matrix3.Transform | ( | ref Vector3 | vec | ) |

Transforms specified vector by the matrix.

Parameters:

  vec | Vector to be transformed

void VisiMath.Matrix3.Transform | ( | ref Vector2 | vector2 | ) |

Transforms specified vector by the matrix.

Parameters:

  vector2 | Vector to transform

void VisiMath.Matrix3.TransformTranspose | ( | ref Vector3 | vec | ) |

Transforms specified vector by the transposed matrix.

Parameters:

  vec | Vector to be transformed

static Matrix3 VisiMath.Matrix3.Transpose | ( | ref Matrix3 | mat | ) | `[static]`

Returns transposed matrix.

Parameters:

  mat | Matrix to transpose

Returns:
  Transposed matrix

void VisiMath.Matrix3.Transpose | ( |  | ) |

Transposes matrix.

static Matrix3 VisiMath.Matrix3.TransposeMultiply | ( | ref Matrix3 | left,
|  | ref Matrix3 | right
| ) |  | `[static]`

Returns transposed left * right.

Parameters:

  left |
  right |

Returns:
  transposed(left) * right

## Member Data Documentation

Matrix3 VisiMath.Matrix3.Identitity = new Matrix3(1, 0, 0, 0, 1, 0, 0, 0, 1)`[static]`

float VisiMath.Matrix3.m00

Matrix fields.

float VisiMath.Matrix3.m01

float VisiMath.Matrix3.m02

float VisiMath.Matrix3.m10

float VisiMath.Matrix3.m11

float VisiMath.Matrix3.m12

float VisiMath.Matrix3.m20

float VisiMath.Matrix3.m21

float VisiMath.Matrix3.m22

## Property Documentation

Vector3 VisiMath.Matrix3.Column0`[get, set]`

Vector3 VisiMath.Matrix3.Column1`[get, set]`

Vector3 VisiMath.Matrix3.Column2`[get, set]`

float VisiMath.Matrix3.Determinant`[get]`

Determinant of the matrix.

Vector3 VisiMath.Matrix3.Row0`[get, set]`

Vector3 VisiMath.Matrix3.Row1`[get, set]`

Vector3 VisiMath.Matrix3.Row2`[get, set]`

float VisiMath.Matrix3.this[int index1, int index2]`[get, set]`

Index acessor, maps internal fields to [index1, index2].

Parameters:

  index1 | Row index
  index2 | Column index

Exceptions:

  System.ArgumentOutOfRangeException | Thrown if index used is not 0-2

float VisiMath.Matrix3.this[int index]`[get, set]`

The documentation for this struct was generated from the following file:

- Matrix3.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events